﻿/// <reference path="../../Resources/TypeDefinitions/knockout/knockout.d.ts"/>
/// <reference path="../../Resources/TypeDefinitions/jquery/jquery.d.ts"/>
/// <reference path="../../Resources/TypeDefinitions/inedojq/inedojq_frameddialog.d.ts"/>
/// <reference path="../../rubbish.ts"/>

var BowerPackageDetailsPageViewModel = (function () {
    function BowerPackageDetailsPageViewModel(input) {
        var _this = this;
        this.isLocal = ko.observable(false);
        this.hits = ko.observable('0');
        this.repositoryUrl = ko.observable(null);
        this.name = input.name;
        this.deleteUrl = input.deleteUrl;
        this.pullUrl = input.pullUrl;
        this.bowerHelpUrl = input.bowerHelpUrl;

        this.isLoading = ko.observable(true);

        $.ajax({
            url: input.getDataUrl,
            type: 'POST',
            data: { feedId: input.feedId, name: this.name },
            success: function (data) {
                _this.isLocal(data.isLocal);
                _this.repositoryUrl(data.url);
                _this.hits(data.hits);
                _this.isLoading(false);
            }
        });
    }
    BowerPackageDetailsPageViewModel.prototype.pullClick = function () {
        $.inedojq_frameddialog(this.pullUrl);
    };

    BowerPackageDetailsPageViewModel.prototype.deleteClick = function () {
        $.inedojq_frameddialog(this.deleteUrl);
    };

    BowerPackageDetailsPageViewModel.prototype.bowerHelpClick = function () {
        $.inedojq_frameddialog(this.bowerHelpUrl);
    };
    return BowerPackageDetailsPageViewModel;
})();
